SQL-инъекция в Drupal Search Autocomplete

Дата публикации:
30.01.2012
Дата изменения:
30.01.2012
Всего просмотров:
1737
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Search Autocomplete Module 7.x
Уязвимые версии: Search Autocomplete module for Drupal версии до 7.x-2.1.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за неопределенной ошибки при обработке входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Для успешной эксплуатации уязвимости необходимо иметь привилегии "use search_autocomplete".

URL производителя: http://drupal.org/project/search_autocomplete

Решение: Установите последнюю версию 7.x-2.1 с сайта производителя.

Ссылки: http://drupal.org/node/1416612

или введите имя

CAPTCHA